License AuthorizationList Token Authorization shared secrets

List Token Authorization shared secrets

All UPFRONT-mode shared secrets currently registered with DRMtoday for this service, including any rotated-out secrets that are still enabled.

curl -X GET "https://api.5centscdn.com/v2/drm/auth/secrets" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "secrets": [
    {
      "id": "84ce8bbc-eb7f-42fd-bcc4-f42634b0067b",
      "enabled": true,
      "description": "service 10001 - auth token secret"
    }
  ]
}
GET
/drm/auth/secrets
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Responses

resultstring

Operation outcome.

secretsarray

List of shared secrets.